/*
 Problema: gerar e imprimir x, y e z; tal que y = sen(x),
 z = cosseno(x), para x= 0, 0.25, 0.5, ..., 10

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - repetir 10 vezes:
       3.1 - gerar x, y e z (elementos das sequencias), em cada vez;
       3.2 - imprimir os valores gerados de x, y e z;

 descricao das variaveis
  x - contador de repeticao, usado para obter a sequencia de numeros
  y - guarda o sen(x), um numero gerado em cada passo
  z - guarda o cossen(x), um numero obtido em cada passo

*/

#include <iostream>
#include <iomanip> //formatar a saida
#include <math.h>  /* para usar: sin e cos */

using namespace std;

int main ()
{
  float x; /* contador de repeticao */
  float y; /* sen(x), elemento da sequencia  */
  float z; /* cossen(x), elemento da sequencia  */

  cout << "Exemplo - estrutura de repeticao - while" << endl;
  cout << "Sequencia gerada :" << endl;
  x = 0; //gerar o primeiro elemento (x, y, z)
  while (x <= 5)
  {
    y = sin(x); //obtem valor de y
    z = cos(x); //obtem valor de z
    cout << "x= " << setw(5) << left << x << setw(3) << right << "y=" << setw(10) << right << y  << setw(3) << right << "z=" << setw(10) << right << z << endl; //imprime os valores de x, y e z
    x = x + 0.25; //contar, e obter os proximos elementos
  }
  return 0;
}
